לוגו SHANNON A.I.
SHANNON A.I.
צ'אט מחירים ממשק API מחקר חברה Pentest AI Startup Boost
התחבר
תוכנית ושימוש
צ'אט מחירים ממשק API מחקר חברה Pentest AI Startup Boost התחבר תוכנית ושימוש

בחר את השפה שלך

כל השפות שוות. בחר את השפה שבה תרצה לגלוש.

תיעוד API

Shannon API

API בינה מלאכותית תואם OpenAI ו‑Anthropic עם קריאות פונקציה, חיפוש ווב ופלט מובנה.

קבל מפתח API נסה Playground V2
תיעוד
  • OV סקירה
  • CP יכולות
  • QS התחלה מהירה
  • PG מגרש משחקים API חדש
  • AU אימות
  • ML מודלים
  • FN קריאת פונקציות
  • JS פלט מובנה
  • SS הזרמה
  • WS חיפוש ווב מובנה
  • AN פורמט Anthropic
  • SD SDKs
  • ER טיפול בשגיאות
  • CL יומן שינויים
  • AK מפתח ה‑API שלך
  • US השימוש שלך

Shannon AI API Documentation

סקירה

תיעוד ציבורי

כל מה שצריך כדי לשגר עם ה‑API התואם של Shannon ל‑OpenAI ו‑Anthropic.

URL בסיסי תואם OpenAI
https://api.shannon-ai.com/v1/chat/completions

השתמש ב-Chat Completions API עם function calling ו-streaming.

URL בסיסי תואם Anthropic
https://api.shannon-ai.com/v1/messages

פורמט Claude Messages עם tools וכותרת anthropic-version.

כותרות אימות
אימות: Bearer <המפתח-שלך>

או השתמש ב-X-API-Key עם anthropic-version לקריאות בסגנון Claude.

Access Status
Public docs - Key required to call

Streaming, function calling, פלט מובנה וחיפוש ברשת.

רשימת בדיקה להשקה
  • +
    כוון את ה-SDK שלך ל-Shannon
    הגדר baseURL ל-endpoint של OpenAI או Anthropic למעלה.
    Setup
  • +
    הוסף את מפתח ה-API שלך
    השתמש ב-Bearer עבור OpenAI או X-API-Key + anthropic-version.
    Security
  • +
    הפעל tools ופלט מובנה
    תומך ב-OpenAI tools/functions, JSON schema ו-web_search מובנה.
    יכולות
  • +
    מעקב שימוש
    צפה בצריכת טוקנים וחיפושים בעמוד זה לאחר התחברות.
    Analytics

יכולות

OpenAI + Anthropic

תחליף ישיר ל-OpenAI ול-Anthropic APIs עם תמיכה מובנית ב-tools, פלט מובנה וחיפוש רשת.

AI

תחליף Drop‑in

תואם

עובד עם SDKs של OpenAI ו‑Anthropic. פשוט החלף את כתובת ה‑URL הבסיסית.

AI

קריאה לפונקציות

כלים

הגדר כלים ותן ל‑Shannon לקרוא להם. תומך במצבי auto, forced ו‑none.

AI

חיפוש רשת מובנה

חיפוש

חיפוש רשת בזמן אמת עם ציטוטי מקורות. זמין אוטומטית.

AI

פלטים מובנים

JSON

מצב JSON ואכיפת JSON Schema לחילוץ נתונים אמין.

AI

כלים רב‑שלביים

סוכני

לולאות ביצוע פונקציות אוטומטיות. עד 10 איטרציות לכל בקשה.

AI

סטרימינג

מהיר

אירועי Server‑Sent לזרימת טוקנים בזמן אמת.

התחלה מהירה

5 דקות

התחילו בשלושה שלבים. Shannon משקף לקוחות OpenAI ו‑Anthropic.

1

הגדר את כתובת ה‑URL הבסיסית

השתמש בנקודת קצה תואמת OpenAI.

https://api.shannon-ai.com/v1/chat/completions
2

הוסף את מפתח ה‑API שלך

השתמש באימות Bearer בכותרת Authorization.

3

שלח את ההודעה הראשונה שלך

בחר שפה והחלף במפתח שלך.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "system", "content": "You are a helpful assistant."},
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    max_tokens=1024
)

print(response.choices[0].message.content)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'system', content: 'You are a helpful assistant.' },
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  max_tokens: 1024
});

console.log(response.choices[0].message.content);
Go
package main

import (
    "context"
    "fmt"
    openai "github.com/sashabaranov/go-openai"
)

func main() {
    config := openai.DefaultConfig("YOUR_API_KEY")
    config.BaseURL = "https://api.shannon-ai.com/v1"
    client := openai.NewClientWithConfig(config)

    resp, err := client.CreateChatCompletion(
        context.Background(),
        openai.ChatCompletionRequest{
            Model: "shannon-1.6-lite",
            Messages: []openai.ChatCompletionMessage{
                {Role: "system", Content: "You are a helpful assistant."},
                {Role: "user", Content: "Hello, Shannon!"},
            },
            MaxTokens: 1024,
        },
    )
    if err != nil {
        panic(err)
    }
    fmt.Println(resp.Choices[0].Message.Content)
}
cURL
curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "shannon-1.6-lite",
    "messages": [
      {"role": "system", "content": "You are a helpful assistant."},
      {"role": "user", "content": "Hello, Shannon!"}
    ],
    "max_tokens": 1024
  }'

פורמט תגובה

תגובה מוצלחת
{
  "id": "chatcmpl-abc123",
  "object": "chat.completion",
  "created": 1234567890,
  "model": "Shannon 1.6 Lite",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
      },
      "finish_reason": "stop"
    }
  ],
  "usage": {
    "prompt_tokens": 25,
    "completion_tokens": 18,
    "total_tokens": 43
  }
}

מגרש משחקים API

חדש

בדוק את ה‑Shannon API ישירות בדפדפן. בנה בקשה, הרץ וראה את התגובה בזמן אמת.

1

Chat, Responses, Messages

Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.

2

Stream live output

Run real requests, inspect raw JSON, and view stream events from the same operator console.

3

Reuse your key

Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.

/he/docs/playground

The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.

נסה Playground V2 קבל מפתח API

אימות

כל בקשות ה-API דורשות אימות באמצעות מפתח ה-API של Shannon.

OpenAI Format (Recommended)

HTTP
Authorization: Bearer YOUR_API_KEY

פורמט Anthropic

HTTP
X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01

מודלים

Shannon מציעה מספר מודלים שמותאמים לתרחישי שימוש שונים.

AI
shannon-1.6-lite Shannon 1.6 Lite

Fast, efficient responses for everyday tasks

הקשר 128K
הכי מתאים עבור Chat, Q&A, Content Generation
AI
shannon-1.6-pro Shannon 1.6 Pro

Advanced reasoning for complex problems

הקשר 128K
הכי מתאים עבור Analysis, Research, Complex Tasks
AI
shannon-2-lite Shannon 2 Lite

הקשר 128K
הכי מתאים עבור
AI
shannon-2-pro Shannon 2 Pro

הקשר 128K
הכי מתאים עבור
AI
shannon-coder-1 Shannon Coder

Optimized for Claude Code CLI with call-based quota

הקשר 128K
הכי מתאים עבור Code Generation, Tool Use, CLI Integration
Call-based quota

קריאת פונקציות

Define tools that Shannon can call to perform actions or retrieve information.

Python
from openai import OpenAI
import json

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Define available tools/functions
tools = [
    {
        "type": "function",
        "function": {
            "name": "get_weather",
            "description": "Get current weather for a location",
            "parameters": {
                "type": "object",
                "properties": {
                    "location": {
                        "type": "string",
                        "description": "City name, e.g., 'Tokyo'"
                    },
                    "unit": {
                        "type": "string",
                        "enum": ["celsius", "fahrenheit"]
                    }
                },
                "required": ["location"]
            }
        }
    }
]

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
    tools=tools,
    tool_choice="auto"
)

# Check if model wants to call a function
if response.choices[0].message.tool_calls:
    tool_call = response.choices[0].message.tool_calls[0]
    print(f"Function: {tool_call.function.name}")
    print(f"Arguments: {tool_call.function.arguments}")
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const tools = [
  {
    type: 'function',
    function: {
      name: 'get_weather',
      description: 'Get current weather for a location',
      parameters: {
        type: 'object',
        properties: {
          location: { type: 'string', description: "City name" },
          unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
        },
        required: ['location']
      }
    }
  }
];

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
  tools,
  tool_choice: 'auto'
});

if (response.choices[0].message.tool_calls) {
  const toolCall = response.choices[0].message.tool_calls[0];
  console.log('Function:', toolCall.function.name);
  console.log('Arguments:', toolCall.function.arguments);
}

אפשרויות בחירת כלי

"auto" Model decides whether to call a function (default)
"none" Disable function calling for this request
{"type": "function", "function": {"name": "..."}} Force a specific function call

תגובת קריאת פונקציה

When model calls a function
{
  "id": "chatcmpl-xyz",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": null,
        "tool_calls": [
          {
            "id": "call_abc123",
            "type": "function",
            "function": {
              "name": "get_weather",
              "arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
            }
          }
        ]
      },
      "finish_reason": "tool_calls"
    }
  ]
}

פלט מובנה

Force Shannon to respond with valid JSON that matches your schema.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Force JSON output with schema
response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
    ],
    response_format={
        "type": "json_schema",
        "json_schema": {
            "name": "person_info",
            "schema": {
                "type": "object",
                "properties": {
                    "name": {"type": "string"},
                    "age": {"type": "integer"},
                    "occupation": {"type": "string"}
                },
                "required": ["name", "age", "occupation"]
            }
        }
    }
)

import json
data = json.loads(response.choices[0].message.content)
print(data)  # {"name": "John Doe", "age": 30, "occupation": "engineer"}
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
  ],
  response_format: {
    type: 'json_schema',
    json_schema: {
      name: 'person_info',
      schema: {
        type: 'object',
        properties: {
          name: { type: 'string' },
          age: { type: 'integer' },
          occupation: { type: 'string' }
        },
        required: ['name', 'age', 'occupation']
      }
    }
  }
});

const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" }

אפשרויות פורמט תגובה

{"type": "json_object"} Force valid JSON output (no specific schema)
{"type": "json_schema", "json_schema": {...}} Force output matching your exact schema

הזרמה

Enable real-time token streaming with Server-Sent Events for responsive UIs.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Enable streaming for real-time responses
stream = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Write a short poem about AI"}
    ],
    stream=True
)

for chunk in stream:
    if chunk.choices[0].delta.content:
        print(chunk.choices[0].delta.content, end="", flush=True)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Write a short poem about AI' }
  ],
  stream: true
});

for await (const chunk of stream) {
  const content = chunk.choices[0]?.delta?.content;
  if (content) process.stdout.write(content);
}
טיפ: Streaming responses arrive as Server-Sent Events. Each chunk contains a delta with partial content.

חיפוש ווב מובנה

Shannon includes a built-in web_search function that's automatically available.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Web search is automatically available!
# Shannon will use it when needed for current information

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "What are the latest AI news today?"}
    ],
    # Optionally, explicitly define web_search tool
    tools=[{
        "type": "function",
        "function": {
            "name": "web_search",
            "description": "Search the web for current information",
            "parameters": {
                "type": "object",
                "properties": {
                    "query": {"type": "string", "description": "Search query"}
                },
                "required": ["query"]
            }
        }
    }]
)

print(response.choices[0].message.content)
# Response includes sources and citations
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Web search is automatically available!
// Shannon will use it when needed for current information

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'What are the latest AI news today?' }
  ],
  // Optionally, explicitly define web_search tool
  tools: [{
    type: 'function',
    function: {
      name: 'web_search',
      description: 'Search the web for current information',
      parameters: {
        type: 'object',
        properties: {
          query: { type: 'string', description: 'Search query' }
        },
        required: ['query']
      }
    }
  }]
});

console.log(response.choices[0].message.content);
// Response includes sources and citations
טיפ מקצועי: תוצאות חיפוש ברשת כוללות ציטוטים. Shannon יצטט מקורות אוטומטית.

פורמט Anthropic

Shannon תומכת גם בפורמט Anthropic Messages API.

https://api.shannon-ai.com/v1/messages
Python
import anthropic

client = anthropic.Anthropic(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/messages"
)

response = client.messages.create(
    model="shannon-1.6-lite",
    max_tokens=1024,
    messages=[
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    # Tool use (Anthropic format)
    tools=[{
        "name": "web_search",
        "description": "Search the web",
        "input_schema": {
            "type": "object",
            "properties": {
                "query": {"type": "string"}
            },
            "required": ["query"]
        }
    }]
)

print(response.content[0].text)
JavaScript
import Anthropic from '@anthropic-ai/sdk';

const client = new Anthropic({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/messages'
});

const response = await client.messages.create({
  model: 'shannon-1.6-lite',
  max_tokens: 1024,
  messages: [
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  // Tool use (Anthropic format)
  tools: [{
    name: 'web_search',
    description: 'Search the web',
    input_schema: {
      type: 'object',
      properties: {
        query: { type: 'string' }
      },
      required: ['query']
    }
  }]
});

console.log(response.content[0].text);
כותרת נדרשת: Anthropic format requires anthropic-version: 2023-06-01.

SDKs

תואם

Use any OpenAI or Anthropic SDK - just change the base URL.

OpenAI-Compatible SDKs

SDK Python

Official OpenAI Python SDK - works with Shannon

pip install openai
View Docs ->
SDK JavaScript / TypeScript

Official OpenAI Node.js SDK - works with Shannon

npm install openai
View Docs ->
SDK Go

Community Go client for OpenAI-compatible APIs

go get github.com/sashabaranov/go-openai
View Docs ->
SDK Ruby

Community Ruby client for OpenAI-compatible APIs

gem install ruby-openai
View Docs ->
SDK PHP

Community PHP client for OpenAI-compatible APIs

composer require openai-php/client
View Docs ->
SDK Rust

Async Rust client for OpenAI-compatible APIs

cargo add async-openai
View Docs ->

Anthropic-Compatible SDKs

SDK Python (Anthropic)

Official Anthropic Python SDK - works with Shannon

pip install anthropic
View Docs ->
SDK TypeScript (Anthropic)

Official Anthropic TypeScript SDK - works with Shannon

npm install @anthropic-ai/sdk
View Docs ->

טיפול בשגיאות

Shannon משתמש בקודי HTTP סטנדרטיים ומחזיר שגיאות מפורטות.

400 בקשה שגויה פורמט בקשה או פרמטרים לא תקינים
401 לא מורשה מפתח API לא תקין או חסר
402 חריגה ממכסה חריגה ממכסת טוקנים או חיפוש
429 מוגבל קצב יותר מדי בקשות, האט
500 שגיאת שרת שגיאה פנימית, נסה שוב מאוחר יותר

פורמט תגובת שגיאה

תגובת שגיאה
{
  "error": {
    "message": "Invalid API key provided",
    "type": "authentication_error",
    "code": "invalid_api_key"
  }
}

יומן שינויים

LOG

Recent updates and improvements to the Shannon API.

v2.1.0
2025-01-03
  • חדש Added shannon-coder-1 model for Claude Code CLI integration
  • חדש Call-based quota system for Coder model
  • Improved Improved function calling reliability
v2.0.0
2024-12-15
  • חדש Added Anthropic Messages API compatibility
  • חדש Multi-turn tool execution (up to 10 iterations)
  • חדש JSON Schema response format support
  • Improved Enhanced web search with better citations
v1.5.0
2024-11-20
  • חדש Added shannon-deep-dapo model for complex reasoning
  • חדש Built-in web_search function
  • Improved Reduced latency for streaming responses
v1.0.0
2024-10-01
  • חדש Initial API release
  • חדש OpenAI-compatible chat completions endpoint
  • חדש Function calling support
  • חדש Streaming via Server-Sent Events

מפתח ה‑API שלך

Access
השתמש ב-Bearer עבור OpenAI או X-API-Key + anthropic-version.
YOUR_API_KEY
קבל מפתח API

שמור את מפתח ה‑API בסוד. חידוש יוצר מפתח חדש ומבטל את הישן.

גרסה: 1
סובב לאחרונה: מעולם
שימוש אחרון: מעולם

השימוש שלך

צפה בצריכת טוקנים וחיפושים בעמוד זה לאחר התחברות.

-- קריאות API
-- טוקנים בשימוש

Shannon Coder (shannon-coder-1)

מכסה מבוססת קריאות עבור Shannon Coder (shannon-coder-1). מתאפסת כל 4 שעות.

0 קריאות שבוצעו
0 קריאות שנותרו

מוכנים לבנות?

Get your API key and start building with Shannon AI today.

קבל מפתח API צפה במחירים

חיפושים פופולריים:

נסה מילות מפתח אחרות
ניווט: ↑ ↓ בחר: Enter סגור: Esc